<html>
	<head>
		<title> Page 1 </title>
		<link rel="stylesheet" type="text/css" href="styles.css">
		<script language="javascript">
			function on_test()
			{
				var msg;
				msg = "Function on_test() is called.\n"
					+ "Here we can do input data validations etc.\n"
					+ "Finally, if everything is OK, we call\n"
					+ "GoTo('page1.html') to make the transition.\n";
				alert(msg);
				GoTo('page1.html');
			}
		</script>
	</head>

	<body>
		<h2> Page 1 of the application </h2>
		<h3> Transitions by GoTo() </h3>
		Transitions from one page of the application to another
		are done by using the javascript function <b>GoTo('page.html')</b>.
		This function is declared by the framework itself and is included
		automatically at the end of each page of the application. Make
		a 'View Source' now and see that there is some code appended to
		the page by the framework.
		<p>
		In real applications, usually <i>GoTo()</i> is called from inside
		a <i>JavaScript</i> function, after making some input data validations
		etc. E.g. try this link: <a href="javascript: on_test()">test</a>
		wich calls the <i>JavaScript</i> function <i>on_test()</i>.
		<p>
		Go To [
		Page 1 |
		<a href="javascript: GoTo('page2.html')"> Page 2 </a> |
		<a href="javascript: GoTo('page3.html')"> Page 3 </a> ]
		<p>
		<a href="javascript: history.back()"><img src="img/Back.gif" border="0"></a>
		<a href="{{APP_URL}}"><img src="img/home.gif" border="0"></a>
		<p>
	</body>

</html>
